org.eclipse.wst.jsdt.launching

## Interface IVMRunner

    public interface IVMRunner

A VM runner starts a JavaScript VM running a JavaScript program.

Clients may implement this interface to launch a new kind of VM.

Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `run(VMRunnerConfiguration configuration, ILaunch launch, IProgressMonitor monitor)` Launches a JavaScript VM as specified in the given configuration, contributing results (debug targets and processes), to the given launch.

### Method Detail

#### run

    void run(VMRunnerConfiguration configuration,
             ILaunch launch,
             IProgressMonitor monitor)
      throws CoreException

Launches a JavaScript VM as specified in the given configuration, contributing results (debug targets and processes), to the given launch.

Parameters:
  `configuration` - the configuration settings for this run
  `launch` - the launch to contribute to
  `monitor` - progress monitor or `null`
Throws:
  `CoreException` - if an exception occurs while launching